
Installer - Bug #29244

[installer][insights] This host is running httpd with SSLv3.0 enabled and is therefore vulnerable to

POODLE / CVE-2014-3566

03/02/2020 06:57 PM - Eric Helms

Status: Rejected   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1795550 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/805,

https://github.com/theforeman/foreman-i

nstaller/pull/480

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1795550

Description of problem:

Fresh installation of a RHEL-7.7/Satellite 6.6.1 reports SSLv3.0 enabled

Version-Release number of selected component (if applicable):

satellite-installer-6.6.0.21-1.el7sat.noarch

How reproducible:

Always

Steps to Reproduce:

1. Install RHEL-7.7/latest Satellite

2. Register insights-client

3. See reports on cloud.redhat.com/insights

Actual results:

"This host is running httpd with SSLv3.0 enabled and is therefore vulnerable to POODLE / CVE-2014-3566" reported by insights

rules

Expected results:

Apache's TLS configuration should be limited to TLS-1.2 connections only.

Additional info:

History

#1 - 03/02/2020 07:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-foreman/pull/805 added

#2 - 03/02/2020 07:53 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/480 added

#3 - 03/04/2020 12:18 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Rejected

The host isn't actually listening on SSLv3, this is an insights bug.
https://github.com/theforeman/foreman-installer/pull/480#issuecomment-593843521
